/* C code produced by gperf version 2.5 (GNU C++ version) X6_02 */
/* Command-line: gperf -tpogaCT cmdtab.gperf  */
__asm("	text\n	dc.b	'$Id: cmdtab.gperf,v 1.1 1998/08/10 08:04:38 sharl Exp $'\n	even\n");

#include "config.h"
#include "command.h"

#define TOTAL_KEYWORDS 10
#define MIN_WORD_LENGTH 4
#define MAX_WORD_LENGTH 7
#define MIN_HASH_VALUE 4
#define MAX_HASH_VALUE 19
/* maximum key range = 16, duplicates = 0 */

#ifdef __GNUC__
inline
#endif
static unsigned int
hash (register const char *str, register int len)
{
  static const unsigned char asso_values[] =
    {
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20,  0, 20,  0,
     20,  0, 20,  5,  9,  5, 20,  4,  0, 20,
      0, 15, 20, 20,  0, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
     20, 20, 20, 20, 20, 20, 20, 20,
    };
  return len + asso_values[str[len - 1]] + asso_values[str[0]];
}

#ifdef __GNUC__
inline
#endif
const struct CMD *
in_word_set (register const char *str, register int len)
{
  static const struct CMD wordlist[] =
    {
      {"",}, {"",}, {"",}, {"",}, 
      {"PART", 		T_PART},
      {"TOPIC", 		T_TOPIC},
      {"NOTICE", 		T_NOTICE},
      {"PRIVMSG", 	T_PRIVMSG},
      {"MODE", 		T_MODE},
      {"NICK", 		T_NICK},
      {"",}, 
      {"INVITE", 		T_INVITE},
      {"",}, 
      {"JOIN", 		T_JOIN},
      {"KICK", 		T_KICK},
      {"",}, {"",}, {"",}, {"",}, 
      {"QUIT", 		T_QUIT},
    };

  if (len <= MAX_WORD_LENGTH && len >= MIN_WORD_LENGTH)
    {
      register int key = hash (str, len);

      if (key <= MAX_HASH_VALUE && key >= 0)
        {
          register const char *s = wordlist[key].name;

          if (*s == *str && !strcmp (str + 1, s + 1))
            return &wordlist[key];
        }
    }
  return 0;
}
