/*
 * command.h
 *
 * $Id: command.h,v 1.4 1998/09/03 13:46:17 sharl Exp $
 */
#ifndef __command_h__
#define __command_h__

typedef enum {
	T_NONE,

	T_INVITE,
	T_JOIN,
	T_KICK,
	T_MODE,
	T_NICK,
	T_NOTICE,
	T_PART,
	T_PRIVMSG,
	T_QUIT,
	T_TOPIC,

	T_CMD_END,
} cmd_t;

typedef struct CMD {
	char *name;
	cmd_t cmd;
} CMD;

void irc_names(int);
void irc_quit(int, char *);
void irc_command(int, char *);

const struct CMD *in_word_set(const char *, int);

extern time_t irc_ping;
extern int ping_code;

#endif
