/*
 * action.c
 */

__asm("	text\n	dc.b	'$Id: action.c,v 1.4 1998/09/07 21:09:11 sharl Exp $'\n	even\n");

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#define __IOCS_INLINE__
#include <iocslib.h>

#include "config.h"
#include "action.h"
#include "channel.h"
#include "util.h"
#include "kanji.h"

/****************************************
	oper s
****************************************/
void
auto_oper(int sock, char *buf)
{
	int n;
	char **op, *np;
	CHANSTAT *csp;
	char chan[512], chanbuf[512];

	/*  oper ǂ */
	np = xmalloc(strlen(irc_nick) + 1 /* '@' */  + 1);
	sscanf(buf, "%*s %s :%n", chan, &n);
	jchan2sjchan(chanbuf, chan);
	printf("%s \033[31m*** %s: %s\33[m", getnow(), chanbuf, buf + n);
	*np = '@';
	strcpy(np + 1, irc_nick);
	if ((csp = getchanstat(chanbuf)) != NULL)
		csp->isoper = strcasestr(buf + n, np) ? TRUE : FALSE;
	free(np);

	/* ȂƔz蔻 */
	if (irc_autochanops) {
		char **w, **whoisjoin;

		div_string(buf + n, &whoisjoin);	// join Ă nick ɕ
		for (op = irc_autochanop; *op; op++) {
			if ((csp = getchanstat(chanbuf)) != NULL && csp->isoper) {
				for (w = whoisjoin; *w; w++) {
					if (**w != '@' && !strncasecmp(*w, *op, strlen(*op))) {
						char line[1024];

						sprintf(line, "MODE %s +o %s\r\n", chan, *w);
						write(sock, line, strlen(line));
					}
				}
			}
		}
		for (w = whoisjoin; *w; w++)
			free(*w);
		free(whoisjoin);
	}
}

/****************************************
	ڑĂ邩ǂׂ
****************************************/
void
notify(char *buf)
{
	char **p, **w, **whoison;
	int c;

	div_string(buf + 1, &whoison);
	for (w = whoison; *w; w++) {
		if (**w == '\r' || **w == '\n')
			continue;
		for (c = 0, p = irc_ison; *p; c++, p++) {
			if (ison_list[c].on == FALSE
				&& !strcasecmp(ison_list[c].name, *w)) {
				ison_list[c].on = TRUE;
				if (ison_bell)
					_iocs_adpcmout(ison_bell, 0x0403 /* 15.6KHz, stereo */,
								   ison_bell_length);
				else
					putchar('\a');
				printf("%s \033[31m%s is ON\033[m\n",
					   getnow(), ison_list[c].name);
			}
		}
	}
	for (c = 0, p = irc_ison; *p; c++, p++) {
		if (!strcasestr(buf + 1, ison_list[c].name)
			&& ison_list[c].on == TRUE) {
			ison_list[c].on = FALSE;
			printf("%s \033[31m%s is OFF\033[m\n",
				   getnow(), ison_list[c].name);
		}
	}
	for (w = whoison; *w; w++)
		free(*w);
	free(whoison);
	ison = FALSE;
}

/****************************************
	MODE ̃R}h
****************************************/
void
parse_mode(int sock, char *chan, char *com)
{
	int n, deop, count;
	char mode[512], *p, **w, **who;

	sscanf(com, "%s %n", mode, &n);
	div_string(com + n, &who);
#ifdef DEBUG
	if (debug)
		printf("MODE %s: [%s] [%s]\n", chan, mode, com + n);
#endif
	p = mode;
	deop = 0;
	if (*p == '-' && *(p + 1) == 'o') {
		for (p++; *p && *p != '+'; p++) {
			if (*p == 'o')
				deop++;
		}
	}
#ifdef DEBUG
	if (debug)
		printf("MODE %s: deop %d [%s]\n", chan, deop, p);
#endif
	if ((*p == '+' && *(p + 1) == 'o') || deop) {
		CHANSTAT *csp = getchanstat(chan);

		if (csp) {
			for (w = who, count = 0; *w; w++, count++) {
				if (deop > count) {
					char **op;
#ifdef DEBUG
					if (debug)
						printf("MODE %s: -o %s ꂽ\n", chan, *w);
#endif
					if (!strcmp(irc_nick, *w))
						csp->isoper = FALSE;
					// AUTO-CHANOP ̐lꂽ畜
					for (op = irc_autochanop; *op; op++) {
						if (!strncasecmp(*w, *op, strlen(*op))) {
							char line[1024], chanbuf[512];

							sjchan2jchan(chanbuf, chan);
							sprintf(line, "MODE %s +o %s\r\n", chanbuf, *w);
							write(sock, line, strlen(line));
						}
					}
				} else {
#ifdef DEBUG
					if (debug)
						printf("MODE %s: +o %s ꂽ\n", chan, *w);
#endif
					if (!strcmp(irc_nick, *w))
						csp->isoper = TRUE;
				}
			}
		}
	}

	for (w = who; *w; w++)
		free(*w);
	free(who);
}
